Иногда, бывает, что при заходе в админ-панель, система Joomla показывает предупреждение о том, что ваш сервер использует устаревшую версию PHP. Например это сообщение может иметь следующий вид:

Ошибка

Мы обнаружили, что ваш сервер использует версию PHP 5.3.10-1ubuntu3.26, которая является устаревшей и не получает официальные обновления от разработчиков. Проект Joomla рекомендует обновить ваш сайт до версии PHP 7.1 или более поздней версии, которые будут получать обновления для системы безопасности по крайней мере до 01.12.19. Пожалуйста, попросите вашего хостинг-провайдера, чтобы он сделал PHP 7.1 или более позднюю версию по умолчанию для вашего сайта. Если ваш хост уже готов к PHP 7.1 включите PHP 7.1 для корня вашего сайта и панели администрирования – как правило, вы можете сделать это самостоятельно через инструмент в вашей панели управления хостингом, но лучше всего спросить вашего хостинг-провайдера, если вы не уверены.

В этой статье мы на примере рассмотрим процесс обновления Joomla в версии 1.5 до версии 3 с помощью бесплатной утилиты миграции J2XML.

Общие инструкции по обновлению Joomla до версии 3 имеются в следующих статьях:

Как обновить Joomla с 1.5 до 3

Обновление Joomla 1.5 к 3 - планирование

Также есть практическая инструкция по обновлению до версии 2.5 с помощью компонента Jupgrade:

http://joomla-master.com/lessons/joomlainstall/112-joomla1525.html

Рекомендую предварительно почитать эти статьи, так как у них представлены общие сведения и шаги для обновления Joomla. А также в последней статье Вы подробно увидите, как настроить и подготовить Joomla 1.5 до переходу на версию 3.  

В этой статье представлены минимальные технические требования к Joomla 3.х!.

Програмное обеспечение Рекомендуемые Минимальные Примечание
PHP (Magic Quotes GPC off) 5.4+ 5.3.10+ PHP 5.3.1 необходима для версий от 3.0 к 3,2. В Joomla 3.3 минимум повышен до PHP 5.3.10.
База данных:
MySQL 5.0.4+ 5.0.4+
SQL Server 10.50.1600.1+ 10.50.1600.1+
Поддерживаемые WEB-сервера:
Apache (c mod_mysql, mod_xml, and mod_zlib) 2.x+ 2.x+ Должно быть установлено расширение Apache mod_rewrite для того, чтобы использовать SEO URL-адреса.
Nginx 1.1 1.0
Microsoft IIS 7 7

 

 


В этой статье будет описана пошаговая инструкция обновления Joomla с 1.5 до 3. Есть множество способов миграции Joomla. В этом уроке мы дадим базовую инструкцию. Эта инструкция не будет иметь примеров, а будет иметь только описание действий, которые нужно будет выполнить для миграции сайта. Миграцию на примере мы покажем в другом уроке.

Считается, что переход Joomla! от версии 1.5 к 3.x есть миграцией или основной миграцией. Это означает, что в движке Joomla 3.х есть значительные изменения. Это большие изменение в работе Joomla, таблицах и технологиях работы Joomla. Эти изменения требуют не простого обновления, а миграции. Как и ядро CMS Joomla так и расширения нуждаются в миграции на Joomla 3.x. Миграция Joomla 3.x включает в себя и изменения шаблона. Для каждой отдельной вещи сайта на версии 1.5 нужно сделать анализ, планирование и миграцию.